%define name	kshutdown
%define version	1.0.2
%define release	%mkrel 2
%define __libtoolize /bin/true
%define __cputoolize /bin/true

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Advanced shut down utility for KDE
Summary(fr):    KShutDown est un outils avanc de gestion de l'extinction  
License:        GPLv2+
Group:		Graphical desktop/KDE
Source:	        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2	
Source10: 	%name-16.png
Source11: 	%name-32.png
Source12: 	%name-48.png
Requires:	kdebase >= 3.3
BuildRequires:  kdelibs-devel >= 3.3
BuildRequires:  desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
KShutDown is an advanced shut down utility for KDE.
Features:
- Shut Down (logout and halt the system)
- Reboot (logout and reboot the system)
- Lock Screen (lock the screen using a screen saver)
- Logout (end the session and logout the user)
- Extras (user commands)
- Wizard
- Time and delay options
- Command line support
- System tray
- Sounds
- Kiosk support
- And more...

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
mkdir -p %buildroot%_datadir
mkdir -p %buildroot%_datadir/apps
mkdir -p %buildroot%_datadir/apps/kconf_update/


%makeinstall_std
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="System" \
  --add-category="Monitor" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name --with-html

%clean
rm -rf %{buildroot}

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING TODO VERSION AUTHORS README
%attr(0755,root,root) %{_bindir}/%{name}
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png
%_iconsdir/hicolor/*/apps/%{name}.png
%_datadir/applications/kshutdown.desktop
%_datadir/apps/kconf_update/%{name}.upd
%_datadir/apps/kicker/applets/kshutdownlockout.desktop
%_datadir/apps/%{name}
%_libdir/kde3/*


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-2mdv2008.1
+ Revision: 170933
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 26 2007 Funda Wang <fundawang@mandriva.org> 1.0.2-1mdv2008.1
+ Revision: 112132
- New version 1.0.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix menu
    - New version 1.0


* Wed Jun 21 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-21 22:44:15 (37802)
- Increase release
- Clean menu
- Use macros (for icons)

* Wed Jun 21 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-21 22:31:38 (37800)
- import kshutdown-0.8.2-1mdk

* Wed Feb 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.2-1mdk
- New release 0.8.2

* Mon Nov 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-1mdk
- 0.8.0
	- NEW: Swedish translation (thanks to Daniel Nylander)
	- Minor bugfixes
	- Removed the Authors tab from the About dialog
	- Setup: Fast compilation is now enabled by default (--enable-final)
	- Updated documentation
	- Setup: "kdesu" instead of "su"
- Remove patch 0 : Merged upstream

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.1beta.1mdk
- 0.7.0 Beta 1
- Patch 0 : Fix include

* Tue Jul 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-3mdk
- Fix File Section

* Mon Apr 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- Fix build for amd64

* Sat Mar 05 2005 Sebastien Savarin <plouf@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Sat Feb 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-0.beta.1mdk
- From Sebastien Savarin <plouf@zarb.org>                            
                 - first release

